Chess Now! IconChess Now
API ReferenceFriends

Accept a friend request

POST
/api/me/friend-requests/{username}/accept

Accepts a pending incoming friend request from the specified user. This creates a friendship between both accounts.

Triggers the friend:accepted ws event to the target user.

Path Parameters

username*string

Header Parameters

cookie?string
authorization?string
Match^Bearer .*

Response Body

application/json

curl -X POST "https://example.com/api/me/friend-requests/string/accept"
{  "success": true,  "data": {    "id": 1,    "createdAt": "2024-01-01T12:00:00Z",    "userAId": "123e4567-e89b-12d3-a456-426614174000",    "userBId": "987e6543-e21b-34d5-a678-426614174000",    "userA": {      "id": "123e4567-e89b-12d3-a456-426614174000",      "name": "John Doe",      "username": "johndoe",      "createdAt": "2024-01-01T12:00:00Z",      "updatedAt": "2024-01-01T12:00:00Z",      "botOwnerId": null,      "rating": 1200,      "rd": 350,      "vol": 0.06    },    "userB": {      "id": "987e6543-e21b-34d5-a678-426614174000",      "name": "Jane Doe",      "username": "janedoe",      "createdAt": "2024-01-01T12:00:00Z",      "updatedAt": "2024-01-01T12:00:00Z",      "botOwnerId": null,      "rating": 1200,      "rd": 350,      "vol": 0.06    }  }}